<?php
/*********************************************************
程序名称：站长助手 WEBMASTER HELPER
作者：feixin
email:kusite@etang.com
版权：feixin (http://www.zc18.com)
//////////////////////////////////////////////////////////

最后编辑日期：2003-6-12
*********************************************************/

if (!defined('IN_WH')) {
  die("不要黑我啊");
}

$tmpfile = $WHuds->safecheck($WHuds->root . WH_SLASH . $file_name);

if(!is_file($tmpfile))
{
	$WH->message("不存在此文件，返回！", "index.php?dir=$dir");
}

if(empty($action) || $action != "unzip"){
$extract_dir = $WHuds->safecheck(dirname($file_name) . WH_SLASH . "tmp");
print<<<eot

<form action="index.php?op=zip_extract" method="post">\n


<br />

如果是.zip文件是不支持的！<br />
<form action="index.php?op=zip_extract" method="post">\n
<input type="hidden" name="action" value="unzip">\n
<input type="hidden" name="dir" value="$dir">\n
<input type="hidden" name="file_name" value="$file_name">\n
<b>$file_name</b>将被解压\n 到目录 <input type="text" name="extract_dir" value="$extract_dir"><br><br>

<input type="submit" value="确认解压">\n
</form>
<br><br>

eot;

}
else
{
	
	$extract_dir = $WHuds->safecheck($WHuds->root . WH_SLASH . $extract_dir);

	if(!$WHuds->exists($tmpfile)){ $WH->message("没有此文件，返回", "index.php?dir=$dir");}

	include("./include/zip.php");
	$WHzip = new WHzip;
	$WHzip->unzip($tmpfile, $extract_dir);

	if($WHzip->result){ $WH->message("解压成功", "index.php?dir=$dir");}
	else { $WH->message("解压失败", "index.php?dir=$dir");}

}
?>